himalaya(1)

NAME
himalaya - CLI to manage emails

SYNOPSIS
himalaya [-c|--config] [-o|--output] [--quiet] [--debug] [--trace] [-h|--help] [-V|--version] [subcommands]

DESCRIPTION
CLI to manage emails

OPTIONS

-c, --config <PATH>
    Override the default configuration file path. The given paths are shell-expanded then canonicalized (if applicable). If the first path does not point to a valid file, the wizard will propose to assist you in the creation of the configuration file. Other paths are merged with the first one, which allows you to separate your public config from your private(s) one(s). you can also provide multiple paths by delimiting them with a : like you would when setting $PATH in a posix shell
    May also be specified with the HIMALAYA_CONFIG environment variable.

-o, --output <FORMAT> [default: plain]
    Customize the output format. The output format determine how to display commands output to the terminal. The possible values are: - json: output will be in a form of a JSON-compatible object - plain: output will be in a form of either a plain text or table, depending on the command
    [possible values: plain, json]

--quiet
    Disable all logs. Same as running command with `RUST_LOG=off` environment variable.

--debug
    Enable debug logs. Same as running command with `RUST_LOG=debug` environment variable.

--trace
    Enable verbose trace logs with backtrace. Same as running command with `RUST_LOG=trace` and `RUST_BACKTRACE=1` environment variables.

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

himalaya-account(1)
    Configure, list and diagnose your accounts

himalaya-folder(1)
    Create, list and purge your folders (as known as mailboxes)

himalaya-envelope(1)
    List, search and sort your envelopes

himalaya-flag(1)
    Add, change and remove your envelopes flags

himalaya-message(1)
    Read, write, send, copy, move and delete your messages

himalaya-attachment(1)
    Download your message attachments

himalaya-template(1)
    Generate, save and send message templates

himalaya-manual(1)
    Generate manual pages to the given directory

himalaya-completion(1)
    Print completion script for the given shell to stdout

himalaya-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
vv1.2.0 +smtp +pgp-commands +sendmail +imap +maildir +wizard build: netbsd aarch64 git: unknown, rev unknown

AUTHORS
Clément DOUIN <pimalaya.org@posteo.net>